/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.jambalaya;

import java.awt.Component;

import edu.stanford.smi.protege.model.Project;


/**
 * Interface for any Jambalaya Component.
 * 
 * @author Chris Callendar
 */
public interface IJambalayaComponent {

	Project getProject();
	
	Component add(Component comp);
	
	void validate();
	
	boolean isVisible();
	
}
